SDL_AUDIO_ISBIGENDIAN(3)

NAME
SDL_AUDIO_ISBIGENDIAN - Determine if an SDL_AudioFormat
 represents bigendian data.

HEADER FILE
Defined in SDL3/SDL_audio.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_AUDIO_ISBIGENDIAN(x)     ((x) & SDL_AUDIO_MASK_BIG_ENDIAN)

DESCRIPTION
For example, SDL_AUDIO_ISBIGENDIAN(SDL_AUDIO_S16LE) returns 0.

RETURN VALUE
Returns non-zero if format is bigendian, zero otherwise.

THREAD SAFETY
It is safe to call this macro from any thread.

AVAILABILITY
This macro is available since SDL 3.2.0.